using e_suite.API.Common;
using e_suite.Modules.BlockedIPsManager.UnitTests.Repository;
using e_suite.UnitTestCore;

namespace e_suite.Modules.BlockedIPsManager.UnitTests.Helpers;

public class BlockedIPsManagerTestBase: TestBase
{
    protected FakeBlockedIPsManagerRepository BlockedIPsManagerRepository { get; set; } = null!;
    protected IBlockedIPsManager BlockedIPManager { get; set; } = null!;

    public override async Task Setup()
    {
        await base.Setup();
        BlockedIPsManagerRepository = new FakeBlockedIPsManagerRepository();

        BlockedIPManager = new BlockedIPsManager(BlockedIPsManagerRepository, _fakeClock, _configuration);
    }
}
